Index: c/src/exec/libcsupport/src/newlibc.c
===================================================================
--- c/src/exec/libcsupport/src/newlibc.c	(revision adf98bd423cabd47466b13d3432284da0d532176)
+++ c/src/exec/libcsupport/src/newlibc.c	(revision 8cbbe312b61c9bc60aecfd6f09ca07fecf73294e)
@@ -94,5 +94,5 @@
 
 /*
- * Called for all user TASKS (system tasks are SYSI and IDLE)
+ * Called for all user TASKS (system tasks are MPCI Receive Server and IDLE)
  */
 
@@ -116,5 +116,5 @@
 
 /*
- * Called for all user TASKS (system tasks are SYSI and IDLE)
+ * Called for all user TASKS (system tasks are MPCI Receive Server and IDLE)
  *
  *  NOTE: When using RTEMS fake stat, fstat, and isatty, all output 
Index: c/src/lib/libbsp/hppa1.1/simhppa/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/hppa1.1/simhppa/startup/bspstart.c	(revision adf98bd423cabd47466b13d3432284da0d532176)
+++ c/src/lib/libbsp/hppa1.1/simhppa/startup/bspstart.c	(revision 8cbbe312b61c9bc60aecfd6f09ca07fecf73294e)
@@ -30,5 +30,4 @@
 #include <bsp.h>
 #include <rtems/libio.h>
-#include <rtems/intthrd.h>
 
 #include <libcsupport.h>
@@ -89,7 +88,7 @@
      */
 
-    if (heir_task == _Internal_threads_Idle_thread)
+    if (heir_task == _Thread_Idle)
         CPU_HPPA_CLICKS_PER_TICK = fast_clock;
-    else if (current_task == _Internal_threads_Idle_thread)
+    else if (current_task == _Thread_Idle)
         CPU_HPPA_CLICKS_PER_TICK = normal_clock;
 }
@@ -346,5 +345,5 @@
     Cpu_table.interrupt_stack_size = (12 * 1024);
 
-    Cpu_table.extra_system_initialization_stack = 0;
+    Cpu_table.extra_mpci_receive_server_stack = 0;
 
     /*
Index: c/src/lib/libbsp/i386/force386/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/i386/force386/startup/bspstart.c	(revision adf98bd423cabd47466b13d3432284da0d532176)
+++ c/src/lib/libbsp/i386/force386/startup/bspstart.c	(revision 8cbbe312b61c9bc60aecfd6f09ca07fecf73294e)
@@ -180,5 +180,5 @@
   Cpu_table.interrupt_stack_size = 4096;
 
-  Cpu_table.extra_system_initialization_stack = 0;
+  Cpu_table.extra_mpci_receive_server_stack = 0;
 
   /*
Index: c/src/lib/libbsp/i386/go32/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/i386/go32/startup/bspstart.c	(revision adf98bd423cabd47466b13d3432284da0d532176)
+++ c/src/lib/libbsp/i386/go32/startup/bspstart.c	(revision 8cbbe312b61c9bc60aecfd6f09ca07fecf73294e)
@@ -175,5 +175,5 @@
   Cpu_table.interrupt_table_offset = (void *)0;
   Cpu_table.interrupt_stack_size = 4096;
-  Cpu_table.extra_system_initialization_stack = 0;
+  Cpu_table.extra_mpci_receive_server_stack = 0;
 
   /*
Index: c/src/lib/libbsp/i960/cvme961/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/i960/cvme961/startup/bspstart.c	(revision adf98bd423cabd47466b13d3432284da0d532176)
+++ c/src/lib/libbsp/i960/cvme961/startup/bspstart.c	(revision 8cbbe312b61c9bc60aecfd6f09ca07fecf73294e)
@@ -195,5 +195,5 @@
   Cpu_table.interrupt_stack_size = 4096;
 
-  Cpu_table.extra_system_initialization_stack = 0;
+  Cpu_table.extra_mpci_receive_server_stack = 0;
 
   Cpu_table.Prcb = Prcb;
Index: c/src/lib/libbsp/m68k/dmv152/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/m68k/dmv152/startup/bspstart.c	(revision adf98bd423cabd47466b13d3432284da0d532176)
+++ c/src/lib/libbsp/m68k/dmv152/startup/bspstart.c	(revision 8cbbe312b61c9bc60aecfd6f09ca07fecf73294e)
@@ -202,5 +202,5 @@
   Cpu_table.interrupt_stack_size = 4096;
 
-  Cpu_table.extra_system_initialization_stack = 0;
+  Cpu_table.extra_mpci_receive_server_stack = 0;
 
   /*
Index: c/src/lib/libbsp/m68k/efi332/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/m68k/efi332/startup/bspstart.c	(revision adf98bd423cabd47466b13d3432284da0d532176)
+++ c/src/lib/libbsp/m68k/efi332/startup/bspstart.c	(revision 8cbbe312b61c9bc60aecfd6f09ca07fecf73294e)
@@ -167,5 +167,5 @@
   Cpu_table.interrupt_stack_size = 4096;
 
-  Cpu_table.extra_system_initialization_stack = 0;
+  Cpu_table.extra_mpci_receive_server_stack = 0;
 
   /*
Index: c/src/lib/libbsp/m68k/efi68k/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/m68k/efi68k/startup/bspstart.c	(revision adf98bd423cabd47466b13d3432284da0d532176)
+++ c/src/lib/libbsp/m68k/efi68k/startup/bspstart.c	(revision 8cbbe312b61c9bc60aecfd6f09ca07fecf73294e)
@@ -177,5 +177,5 @@
   Cpu_table.interrupt_stack_size = 4096;
 
-  Cpu_table.extra_system_initialization_stack = 0;
+  Cpu_table.extra_mpci_receive_server_stack = 0;
 
   /*
Index: c/src/lib/libbsp/m68k/gen68302/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/startup/bspstart.c	(revision adf98bd423cabd47466b13d3432284da0d532176)
+++ c/src/lib/libbsp/m68k/gen68302/startup/bspstart.c	(revision 8cbbe312b61c9bc60aecfd6f09ca07fecf73294e)
@@ -234,5 +234,5 @@
   Cpu_table.interrupt_stack_size = 4096;
 
-  Cpu_table.extra_system_initialization_stack = 0;
+  Cpu_table.extra_mpci_receive_server_stack = 0;
 
   /*
Index: c/src/lib/libbsp/m68k/idp/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/m68k/idp/startup/bspstart.c	(revision adf98bd423cabd47466b13d3432284da0d532176)
+++ c/src/lib/libbsp/m68k/idp/startup/bspstart.c	(revision 8cbbe312b61c9bc60aecfd6f09ca07fecf73294e)
@@ -209,5 +209,5 @@
   Cpu_table.interrupt_stack_size = 4096;
 
-  Cpu_table.extra_system_initialization_stack = 0;
+  Cpu_table.extra_mpci_receive_server_stack = 0;
 
   /*
Index: c/src/lib/libbsp/m68k/mvme136/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/startup/bspstart.c	(revision adf98bd423cabd47466b13d3432284da0d532176)
+++ c/src/lib/libbsp/m68k/mvme136/startup/bspstart.c	(revision 8cbbe312b61c9bc60aecfd6f09ca07fecf73294e)
@@ -192,5 +192,5 @@
   Cpu_table.interrupt_stack_size = 4096;
 
-  Cpu_table.extra_system_initialization_stack = 0;
+  Cpu_table.extra_mpci_receive_server_stack = 0;
 
   /*
Index: c/src/lib/libbsp/m68k/mvme162/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/startup/bspstart.c	(revision adf98bd423cabd47466b13d3432284da0d532176)
+++ c/src/lib/libbsp/m68k/mvme162/startup/bspstart.c	(revision 8cbbe312b61c9bc60aecfd6f09ca07fecf73294e)
@@ -209,5 +209,5 @@
   Cpu_table.interrupt_stack_size = 4096;
 
-  Cpu_table.extra_system_initialization_stack = 0;
+  Cpu_table.extra_mpci_receive_server_stack = 0;
 
   /*
Index: c/src/lib/libbsp/no_cpu/no_bsp/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/no_cpu/no_bsp/startup/bspstart.c	(revision adf98bd423cabd47466b13d3432284da0d532176)
+++ c/src/lib/libbsp/no_cpu/no_bsp/startup/bspstart.c	(revision 8cbbe312b61c9bc60aecfd6f09ca07fecf73294e)
@@ -238,5 +238,5 @@
   Cpu_table.interrupt_stack_size = 4096;
 
-  Cpu_table.extra_system_initialization_stack = 0;
+  Cpu_table.extra_mpci_receive_server_stack = 0;
 
   /*
Index: c/src/lib/libbsp/powerpc/papyrus/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/powerpc/papyrus/startup/bspstart.c	(revision adf98bd423cabd47466b13d3432284da0d532176)
+++ c/src/lib/libbsp/powerpc/papyrus/startup/bspstart.c	(revision 8cbbe312b61c9bc60aecfd6f09ca07fecf73294e)
@@ -245,5 +245,5 @@
   Cpu_table.interrupt_stack_size = 4 * 1024;
 
-  Cpu_table.extra_system_initialization_stack = 0;
+  Cpu_table.extra_mpci_receive_server_stack = 0;
 
   /*
Index: c/src/lib/libbsp/unix/posix/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/unix/posix/startup/bspstart.c	(revision adf98bd423cabd47466b13d3432284da0d532176)
+++ c/src/lib/libbsp/unix/posix/startup/bspstart.c	(revision 8cbbe312b61c9bc60aecfd6f09ca07fecf73294e)
@@ -322,5 +322,5 @@
     Cpu_table.interrupt_stack_size = (12 * 1024);
 
-    Cpu_table.extra_system_initialization_stack = 0;
+    Cpu_table.extra_mpci_receive_server_stack = 0;
 
     /*
Index: c/src/lib/libc/newlibc.c
===================================================================
--- c/src/lib/libc/newlibc.c	(revision adf98bd423cabd47466b13d3432284da0d532176)
+++ c/src/lib/libc/newlibc.c	(revision 8cbbe312b61c9bc60aecfd6f09ca07fecf73294e)
@@ -94,5 +94,5 @@
 
 /*
- * Called for all user TASKS (system tasks are SYSI and IDLE)
+ * Called for all user TASKS (system tasks are MPCI Receive Server and IDLE)
  */
 
@@ -116,5 +116,5 @@
 
 /*
- * Called for all user TASKS (system tasks are SYSI and IDLE)
+ * Called for all user TASKS (system tasks are MPCI Receive Server and IDLE)
  *
  *  NOTE: When using RTEMS fake stat, fstat, and isatty, all output 
